Package com.independentsoft.graph.workbooks

# Class Table

java.lang.Object
com.independentsoft.graph.workbooks.Table

public class Table extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Table()`
  `Table​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getLegacyId()`
  `String`
  `getName()`
  `String`
  `getStyle()`
  `boolean`
  `isHighlightFirstColumn()`
  `boolean`
  `isHighlightLastColumn()`
  `boolean`
  `isShowBandedColumns()`
  `boolean`
  `isShowBandedRows()`
  `boolean`
  `isShowFilterButton()`
  `boolean`
  `isShowHeaders()`
  `boolean`
  `isShowTotals()`
  `void`
  `setHighlightFirstColumn​(boolean highlightFirstColumn)`
  `void`
  `setHighlightLastColumn​(boolean highlightLastColumn)`
  `void`
  `setName​(String name)`
  `void`
  `setShowBandedColumns​(boolean showBandedColumns)`
  `void`
  `setShowBandedRows​(boolean showBandedRows)`
  `void`
  `setShowFilterButton​(boolean showFilterButton)`
  `void`
  `setShowHeaders​(boolean showHeaders)`
  `void`
  `setShowTotals​(boolean showTotals)`
  `void`
  `setStyle​(String style)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Table

    public Table()

  - ### Table

    public Table​(JsonObject jsonObject)

- ## Method Details

  - ### getId

    public String getId()

  - ### getName

    public String getName()

  - ### setName

    public void setName​(String name)

  - ### isShowHeaders

    public boolean isShowHeaders()

  - ### setShowHeaders

    public void setShowHeaders​(boolean showHeaders)

  - ### isShowTotals

    public boolean isShowTotals()

  - ### setShowTotals

    public void setShowTotals​(boolean showTotals)

  - ### getStyle

    public String getStyle()

  - ### setStyle

    public void setStyle​(String style)

  - ### isHighlightFirstColumn

    public boolean isHighlightFirstColumn()

  - ### setHighlightFirstColumn

    public void setHighlightFirstColumn​(boolean highlightFirstColumn)

  - ### isHighlightLastColumn

    public boolean isHighlightLastColumn()

  - ### setHighlightLastColumn

    public void setHighlightLastColumn​(boolean highlightLastColumn)

  - ### isShowBandedColumns

    public boolean isShowBandedColumns()

  - ### setShowBandedColumns

    public void setShowBandedColumns​(boolean showBandedColumns)

  - ### isShowBandedRows

    public boolean isShowBandedRows()

  - ### setShowBandedRows

    public void setShowBandedRows​(boolean showBandedRows)

  - ### isShowFilterButton

    public boolean isShowFilterButton()

  - ### setShowFilterButton

    public void setShowFilterButton​(boolean showFilterButton)

  - ### getLegacyId

    public String getLegacyId()